"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const express_1 = __importDefault(require("express"));
const context_1 = require("../context");
class Router extends react_1.default.Component {
    render() {
        return (react_1.default.createElement(context_1.ApplicationContext.Consumer, null, (app) => {
            return (react_1.default.createElement(context_1.RouterContext.Consumer, null, (router) => {
                if (app) {
                    this.router = express_1.default.Router();
                    (router || app).use(this.props.path, this.router);
                    if (this.props.reference)
                        this.props.reference(this.router);
                }
                return (react_1.default.createElement(context_1.RouterContext.Provider, { value: this.router }, this.props.children));
            }));
        }));
    }
}
exports.default = Router;
